Enum EKEY_CODE
    KEY_LBUTTON          = &H01  ' Left mouse button  
    KEY_RBUTTON          = &H02  ' Right mouse button  
    KEY_CANCEL           = &H03  ' Control-break processing  
    KEY_MBUTTON          = &H04  ' Middle mouse button (three-button mouse)  
    KEY_XBUTTON1         = &H05  ' Windows 2000/XP: X1 mouse button 
    KEY_XBUTTON2         = &H06  ' Windows 2000/XP: X2 mouse button 
    KEY_BACK             = &H08  ' BACKSPACE key  
    KEY_TAB              = &H09  ' Tab key  
    KEY_CLEAR            = &H0C  ' Clear key  
    KEY_RETURN           = &H0D  ' ENTER key  
    KEY_SHIFT            = &H10  ' SHIFT key  
    KEY_CONTROL          = &H11  ' CTRL key  
    KEY_MENU             = &H12  ' ALT key  
    KEY_PAUSE            = &H13  ' PAUSE key  
    KEY_CAPITAL          = &H14  ' CAPS Lock key  
    KEY_KANA             = &H15  ' IME Kana mode 
    KEY_HANGUEL          = &H15  ' IME Hanguel mode (maintained For compatibility use KEY_HANGUL) 
    KEY_HANGUL           = &H15  ' IME Hangul mode 
    KEY_JUNJA            = &H17  ' IME Junja mode 
    KEY_FINAL            = &H18  ' IME final mode 
    KEY_HANJA            = &H19  ' IME Hanja mode 
    KEY_KANJI            = &H19  ' IME Kanji mode 
    KEY_ESCAPE           = &H1B  ' ESC key  
    KEY_CONVERT          = &H1C  ' IME convert 
    KEY_NONCONVERT       = &H1D  ' IME nonconvert 
    KEY_ACCEPT           = &H1E  ' IME accept 
    KEY_MODECHANGE       = &H1F  ' IME mode change request 
    KEY_SPACE            = &H20  ' SPACEBAR  
    KEY_PRIOR            = &H21  ' PAGE UP key  
    KEY_NEXT             = &H22  ' PAGE DOWN key  
    KEY_END              = &H23  ' End key  
    KEY_HOME             = &H24  ' HOME key  
    KEY_LEFT             = &H25  ' Left ARROW key  
    KEY_UP               = &H26  ' UP ARROW key  
    KEY_RIGHT            = &H27  ' Right ARROW key  
    KEY_DOWN             = &H28  ' DOWN ARROW key  
    KEY_SELECT           = &H29  ' Select key  
    KEY_PRINT            = &H2A  ' Print key
    KEY_EXECUT           = &H2B  ' EXECUTE key  
    KEY_SNAPSHOT         = &H2C  ' Print Screen key  
    KEY_INSERT           = &H2D  ' INS key  
    KEY_DELETE           = &H2E  ' DEL key  
    KEY_HELP             = &H2F  ' HELP key  
    KEY_KEY_0            = &H30  ' 0 key  
    KEY_KEY_1            = &H31  ' 1 key  
    KEY_KEY_2            = &H32  ' 2 key  
    KEY_KEY_3            = &H33  ' 3 key  
    KEY_KEY_4            = &H34  ' 4 key  
    KEY_KEY_5            = &H35  ' 5 key  
    KEY_KEY_6            = &H36  ' 6 key  
    KEY_KEY_7            = &H37  ' 7 key  
    KEY_KEY_8            = &H38  ' 8 key  
    KEY_KEY_9            = &H39  ' 9 key  
    KEY_KEY_A            = &H41  ' A key  
    KEY_KEY_B            = &H42  ' B key  
    KEY_KEY_C            = &H43  ' C key  
    KEY_KEY_D            = &H44  ' D key  
    KEY_KEY_E            = &H45  ' E key  
    KEY_KEY_F            = &H46  ' F key  
    KEY_KEY_G            = &H47  ' G key  
    KEY_KEY_H            = &H48  ' H key  
    KEY_KEY_I            = &H49  ' I key  
    KEY_KEY_J            = &H4A  ' J key  
    KEY_KEY_K            = &H4B  ' K key  
    KEY_KEY_L            = &H4C  ' L key  
    KEY_KEY_M            = &H4D  ' M key  
    KEY_KEY_N            = &H4E  ' N key  
    KEY_KEY_O            = &H4F  ' O key  
    KEY_KEY_P            = &H50  ' P key  
    KEY_KEY_Q            = &H51  ' Q key  
    KEY_KEY_R            = &H52  ' R key  
    KEY_KEY_S            = &H53  ' S key  
    KEY_KEY_T            = &H54  ' T key  
    KEY_KEY_U            = &H55  ' U key  
    KEY_KEY_V            = &H56  ' V key  
    KEY_KEY_W            = &H57  ' W key  
    KEY_KEY_X            = &H58  ' X key  
    KEY_KEY_Y            = &H59  ' Y key  
    KEY_KEY_Z            = &H5A  ' Z key  
    KEY_LWIN             = &H5B  ' Left Windows key (Microsoft Natural keyboard)  
    KEY_RWIN             = &H5C  ' Right Windows key (Natural keyboard)  
    KEY_APPS             = &H5D  ' Applications key (Natural keyboard)  
    KEY_SLEEP            = &H5F  ' Computer Sleep key 
    KEY_NUMPAD0          = &H60  ' Numeric keypad 0 key  
    KEY_NUMPAD1          = &H61  ' Numeric keypad 1 key  
    KEY_NUMPAD2          = &H62  ' Numeric keypad 2 key  
    KEY_NUMPAD3          = &H63  ' Numeric keypad 3 key  
    KEY_NUMPAD4          = &H64  ' Numeric keypad 4 key  
    KEY_NUMPAD5          = &H65  ' Numeric keypad 5 key  
    KEY_NUMPAD6          = &H66  ' Numeric keypad 6 key  
    KEY_NUMPAD7          = &H67  ' Numeric keypad 7 key  
    KEY_NUMPAD8          = &H68  ' Numeric keypad 8 key  
    KEY_NUMPAD9          = &H69  ' Numeric keypad 9 key  
    KEY_MULTIPLY         = &H6A  ' Multiply key  
    KEY_ADD              = &H6B  ' Add key  
    KEY_SEPARATOR        = &H6C  ' Separator key  
    KEY_SUBTRACT         = &H6D  ' Subtract key  
    KEY_DECIMAL          = &H6E  ' Decimal key  
    KEY_DIVIDE           = &H6F  ' Divide key  
    KEY_F1               = &H70  ' F1 key  
    KEY_F2               = &H71  ' F2 key  
    KEY_F3               = &H72  ' F3 key  
    KEY_F4               = &H73  ' F4 key  
    KEY_F5               = &H74  ' F5 key  
    KEY_F6               = &H75  ' F6 key  
    KEY_F7               = &H76  ' F7 key  
    KEY_F8               = &H77  ' F8 key  
    KEY_F9               = &H78  ' F9 key  
    KEY_F10              = &H79  ' F10 key  
    KEY_F11              = &H7A  ' F11 key  
    KEY_F12              = &H7B  ' F12 key  
    KEY_F13              = &H7C  ' F13 key  
    KEY_F14              = &H7D  ' F14 key  
    KEY_F15              = &H7E  ' F15 key  
    KEY_F16              = &H7F  ' F16 key  
    KEY_F17              = &H80  ' F17 key  
    KEY_F18              = &H81  ' F18 key  
    KEY_F19              = &H82  ' F19 key  
    KEY_F20              = &H83  ' F20 key  
    KEY_F21              = &H84  ' F21 key  
    KEY_F22              = &H85  ' F22 key  
    KEY_F23              = &H86  ' F23 key  
    KEY_F24              = &H87  ' F24 key  
    KEY_NUMLOCK          = &H90  ' NUM Lock key  
    KEY_SCROLL           = &H91  ' SCROLL Lock key  
    KEY_LSHIFT           = &HA0  ' Left SHIFT key 
    KEY_RSHIFT           = &HA1  ' Right SHIFT key 
    KEY_LCONTROL         = &HA2  ' Left CONTROL key 
    KEY_RCONTROL         = &HA3  ' Right CONTROL key 
    KEY_LMENU            = &HA4  ' Left MENU key 
    KEY_RMENU            = &HA5  ' Right MENU key 
    KEY_PLUS             = &HBB  ' Plus Key   (+)
    KEY_COMMA            = &HBC  ' Comma Key  (,)
    KEY_MINUS            = &HBD  ' Minus Key  (-)
    KEY_PERIOD           = &HBE  ' Period Key (.)
    KEY_ATTN             = &HF6  ' Attn key 
    KEY_CRSEL            = &HF7  ' CrSel key 
    KEY_EXSEL            = &HF8  ' ExSel key 
    KEY_EREOF            = &HF9  ' Erase Eof key 
    KEY_PLAY             = &HFA  ' Play key 
    KEY_ZOOM             = &HFB  ' Zoom key 
    KEY_PA1              = &HFD  ' PA1 key 
    KEY_OEM_CLEAR        = &HFE  ' Clear key 
    KEY_KEY_CODES_COUNT  = &HFF  ' this Is Not a key but the amount of keycodes there are.
End Enum